package com.compdfkit.tools.docseditor.pdfpageeditinsert;

import android.view.View;

import androidx.constraintlayout.widget.ConstraintLayout;

import com.compdfkit.tools.R;
import com.compdfkit.tools.common.basic.fragment.CBasicBottomSheetDialogFragment;
import com.google.android.material.bottomsheet.BottomSheetBehavior;

public class CSelectInsertPageTypeDialogFragment extends CBasicBottomSheetDialogFragment {

    private View.OnClickListener blankClickListener;

    private View.OnClickListener pdfClickListener;

    public static CSelectInsertPageTypeDialogFragment newInstance() {
        return new CSelectInsertPageTypeDialogFragment();
    }

    @Override
    public void onStart() {
        super.onStart();
        BottomSheetBehavior<View> behavior = BottomSheetBehavior.from((View) getView().getParent());
        behavior.setState(BottomSheetBehavior.STATE_EXPANDED);
        behavior.setSkipCollapsed(true);
    }

    @Override
    protected int layoutId() {
        return R.layout.tools_pageedit_insert_dialog_fragment;
    }

    @Override
    protected void onCreateView(View rootView) {
        ConstraintLayout clInsertBlankPage = rootView.findViewById(R.id.cl_insert_blank_page);
        ConstraintLayout clInsertPdfPage = rootView.findViewById(R.id.cl_insert_pdf_page);
        clInsertBlankPage.setOnClickListener(blankClickListener);
        clInsertPdfPage.setOnClickListener(pdfClickListener);
    }

    @Override
    protected void onViewCreate() {

    }

    public void setInsertBlankPageClickListener(View.OnClickListener blankClickListener) {
        this.blankClickListener = blankClickListener;
    }

    public void setInsertPdfPageClickListener(View.OnClickListener pdfClickListener) {
        this.pdfClickListener = pdfClickListener;
    }
}
