/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.signature.pdfproperties.pdfsign;


import androidx.annotation.DrawableRes;

import com.compdfkit.core.document.CPDFSdk;
import com.compdfkit.tools.R;
import com.compdfkit.tools.common.utils.date.CDateUtil;

import java.io.Serializable;

public class CDigitalSignStyleData implements Serializable {


    public CDigitalSignStyleData(){

    }

    public static CDigitalSignStyleData defaultConfig(String signImagePath){
        CDigitalSignStyleData data = new CDigitalSignStyleData();
        data.setLogoResId(R.drawable.tools_ic_compdfkit_logo);
        data.setSignImagePath(signImagePath);
        data.setDate(CDateUtil.getDataTime(CDateUtil.NORMAL_DATE_FORMAT));
        data.setName("");
        data.setSdkVersion(CPDFSdk.getSDKVersion());
        data.setAlignment(CDigitalSignStylePreviewView.Alignment.left);
        return data;
    }

    private String signImagePath;

    private CDigitalSignStylePreviewView.Alignment alignment = CDigitalSignStylePreviewView.Alignment.left;

    private String location;

    private String reason;

    private String name;

    private String date;

    private @DrawableRes int logoResId;

    private String digtinguishableName;

    private String sdkVersion;

    public String getSignImagePath() {
        return signImagePath;
    }

    public void setSignImagePath(String signImagePath) {
        this.signImagePath = signImagePath;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getDigtinguishableName() {
        return digtinguishableName;
    }

    public void setDigtinguishableName(String digtinguishableName) {
        this.digtinguishableName = digtinguishableName;
    }

    public String getSdkVersion() {
        return sdkVersion;
    }

    public void setSdkVersion(String sdkVersion) {
        this.sdkVersion = sdkVersion;
    }


    public void setAlignment(CDigitalSignStylePreviewView.Alignment alignment) {
        this.alignment = alignment;
    }

    public CDigitalSignStylePreviewView.Alignment getAlignment() {
        return alignment;
    }

    public int getLogoResId() {
        return logoResId;
    }

    public void setLogoResId(int logoResId) {
        this.logoResId = logoResId;
    }
}
